MTOC(1)

NAME
mtoc - convert a Mach-O file to a PECOFF file

SYNOPSIS
mtoc [ -subsystem type ] [ -section_alignment value ] [ -align value ] [ -version major.minor ] [ -d filename ] input output

DESCRIPTION
mtoc converts the input EFI file built as a Mach-O file into an output PEFOFF file.

-subsystem type
    specifies the EFI subsystem type which can be application, boot or runtime. The default is application.

-section_alignment value
    Specifies the PECOFF section alignment. value is a hexadecimal number that must be an integral power of 2. The default is the Mac OS X target pagesize (1000 hex). This value should match the value used for -segalign when linking the Mach-O file.

-align value
    Specifies the PECOFF file and section alignment. value is a hexadecimal number that must be an integral power of 2. The default is 400 hex. This value should match the value used for -segalign when linking the Mach-O file.

-version major.minor
    Specifies the PECOFF major and minor versions for the MajorImageVersion and MinorImageVersion fields.

-d filename"
    Specifies the filename to be used to create a debug directory entry with.